# H225_RasUsageSpecification_when Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RasUsageSpecification_when:

List of all members.

## Public Types

enum | OptionalFields { e_start, e_end, e_inIrr }

## Public Member Functions

| H225_RasUsageSpecification_when (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Null | m_start
PASN_Null | m_end
PASN_Null | m_inIrr

## Member Enumeration Documentation

enum H225_RasUsageSpecification_when::OptionalFields

Enumerator:

  e_start |
  e_end |
  e_inIrr |

## Constructor & Destructor Documentation

H225_RasUsageSpecification_when::H225_RasUsageSpecification_when | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RasUsageSpecification_when::GetDataLength | ( |  | ) | const

PBoolean H225_RasUsageSpecification_when::Decode | ( | PASN_Stream & | strm | ) |

void H225_RasUsageSpecification_when::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RasUsageSpecification_when::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RasUsageSpecification_when::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RasUsageSpecification_when::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Null H225_RasUsageSpecification_when::m_start

PASN_Null H225_RasUsageSpecification_when::m_end

PASN_Null H225_RasUsageSpecification_when::m_inIrr

The documentation for this class was generated from the following file:

- h225.h